gnutls_x509_crt_import(3)

NAME
gnutls_x509_crt_import - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_import(gnutls_x509_crt_t cert, const gnutls_datum_t * data, gnutls_x509_crt_fmt_t format);

ARGUMENTS

gnutls_x509_crt_t cert
    The structure to store the parsed certificate.

const gnutls_datum_t * data
    The DER or PEM encoded certificate.

gnutls_x509_crt_fmt_t format
    One of DER or PEM

DESCRIPTION
This function will convert the given DER or PEM encoded Certificate to the native gnutls_x509_crt_t format. The output will be stored in cert . If the Certificate is PEM encoded it should have a header of "X509 CERTIFICATE", or "CERTIFICATE".

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/